require "github/archive/version"
require 'mysql'
require 'active_record'
require 'open-uri'
require 'zlib'
require 'yajl'
require 'resque'
require 'yaml'
require 'pry'

require 'github/archive/connections'

require 'github/archive/stat_collector'

require 'github/archive/archived_url'
require 'github/archive/event'

require 'github/archive/create_archive'
require 'github/archive/destroy_archive'

module Github
  module Archive
    ::Github::Archive::Connections.init_settings
    ::Github::Archive::Connections.read_settings

    ::Github::Archive::Connections.connect_redis
    ::Github::Archive::Connections.connect_mysql
  end
end
