module Github
  module Archive
    module DestroyArchive
      def self.do
        ActiveRecord::Schema.define do
          unless !Github::Archive::Event.table_exists?
            drop_table :events
          end

          unless !Github::Archive::ArchivedUrl.table_exists?
            drop_table :archived_urls
          end
        end
      end
    end
  end
end